module Shacho
  HEROKU_PREFIX = "#{ENV['HOME']}/.heroku"

  autoload :Runner, "shacho/runner"
  autoload :Key, "shacho/key"
  autoload :Account, "shacho/account"
  autoload :Credential, "shacho/credential"
  autoload :Util, "shacho/util"

  # TODO only need to use actions
  #   method_missing willl help with error handling
  COMMANDS = ["create", "use", "list", "edit", "remove", "which", "clear", "help"]
end
