module Shacho
  class Credential
    attr_accessor :email, :password

    def prompt(name)
      puts "Enter your Heroku credentials for #{name}."
      print "Email: "
      @email = STDIN.gets.chomp
      print "Password: "
      @password = STDIN.gets.chomp        
    end

    def write(filename)
      credentials_filename = "#{filename}/credentials"
      FileUtils.touch(credentials_filename)
      File.open(credentials_filename, 'w') do |f|
        f.write("#{@email}\n#{@password}")
      end
    end
  end
end
